Create TOC Node (Folder)
Creates a folder in the table of contents of a project.
Path Parameters
- project-idstringrequired
The ID of the project to create the folder in.
Body
application/json
caption
string required
The folder name.
Example
New folderisShowInToc
boolean default:
falseWhether to show the folder in the TOC in publications. Sets the corresponding option in the topic's properties. false by default.
Example
trueordinalNo
integer The position of the node in the TOC. Not sending the parameter will place the node at the end.
parentId
string | nullableThe unique identifier of the parent TOC node. Sending null or not sending the parameter will create a node on the root level.
Example
0e7adad0-2572-4966-8f02-bc46930cf848Responses
POST/projects/{project-id}/toc/nodes
curl --location -g --request POST 'https://{portal-url}/api/v2/projects/project-deep-space-exploration/toc/nodes' \
--data-raw '{
"caption": "New Folder",
"isShowInToc": true,
"ordinalNo": 0,
"parentId": "0e7adad0-2572-4966-8f02-bc46930cf848"
}'
{
"caption": "…",
"id": "…",
"isAutoDocsMountPoint": true,
"isShowInToc": true,
"ordinalNo": 1,
"parentId": "…",
"topicId": "…",
"topicTitle": null
}